Results 1 to 5 of 5

Thread: pacman repo and signing errors

  1. #1

    Angry pacman repo and signing errors

    Hi I am wondering if anyone else who has added the packman repository seeing signing errors on the packages?

    I started to see this the other day Friday, and when I cancelled the update process, I started to have all kinds of system errors.

    How does one recover from this and bring their system back to proper working order?

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    13,162
    Blog Entries
    3

    Default Re: pacman repo and signing errors

    I have not run into any problems.

    I just finished updating two Tumbleweed systems, and there were no errors related to packman. Actually, there were no errors at all. It was a clean update.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  3. #3
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,389

    Default Re: pacman repo and signing errors

    Quote Originally Posted by devguyca View Post
    How does one recover from this and bring their system back to proper working order?
    I'd try a "zypper refresh" followed by "zypper dup" using the "-- dry-run" flag, if that goes ok then "zypper dup" for real.

    Quote Originally Posted by nrickert View Post
    I have not run into any problems.
    Likewise, just update both my TW systems to 20200116 with no errors from packman (or elsewhere)...
    Regards, Paul

    2x Tumbleweed (Snapshot: 20200211) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  4. #4
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    13,162
    Blog Entries
    3

    Default Re: pacman repo and signing errors

    Quote Originally Posted by devguyca View Post
    I started to see this the other day Friday, and when I cancelled the update process, I started to have all kinds of system errors.
    If you post some of the actual errors, we might have a better idea as to what problems you are having.

    Assuming that you use "zypper dup" at the command line, post part of the output that shows errors.
    openSUSE Leap 15.1; KDE Plasma 5;
    testing Leap 15.2Alpha

  5. #5

    Default Re: pacman repo and signing errors

    I managed to get the system back up again by:

    1. using the install cd and selecting to "upgrade" my system
    2. removing the packman repo.
    3. adding the packman repo back again.

    @tannington Thanks for the tip, at some point I did end up running, "zypper dup" and this helped.

    @nrickert I'm good now, but I did open a bug and provided my zypper log files.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •